Nux!


Home » Repos » Report a problem or request a package » xbmc 12.1.1 or 12.2 please (Installation of 12.1.1 not working with myth 0.26)
xbmc 12.1.1 or 12.2 please [message #1356] Sun, 16 June 2013 02:26 Go to next message
boblfoot is currently offline  boblfoot
Messages: 2
Registered: June 2013
Location: Southern Indiana, United ...
Junior Member
I just installed xbmc from your repos. That went flawlessly, btw. Nice work. I had tried rebuilding from srpm and building from source xbmc 12.2 -"frodo" on my Centos 6.4 dev box and ran into issues with taglib and other stuff "above my pay grade". You pulled some magic I admire to get xbmc-12.1 - "frodo" working on centos 6.

My issue is that while the videos option will play my ffmpeg post processed mp4 videos nicely. The cmythtv-1.6.7 add on for livetv does not work, and the myth recordings that are in native mpg format will not playback either from LiveTV-Recordings. Now the channels and epg are pulled in fine and mythtv-0.26 database is connected to without issue.

I've two Win7 clients running 12.2-"frodo" as a frontend to my mythtv-0.26 backend box and they are running nicely wuth the cmythtv-1.6.7 addon. The mythtv-0.26 backend btw is Centos 6.4 based and also has a mythtv frontend on same box.

Let me know what you need to debug your 12.1-1 package or when you package 12.2 I'd be glad to test it.
Re: xbmc 12.1.1 or 12.2 please [message #1357 is a reply to message #1356] Sun, 16 June 2013 09:42 Go to previous messageGo to next message
nux is currently offline  nux
Messages: 1659
Registered: January 2012
Senior Member
Administrator

Hello,

I believe you require a higher version of taglib only when building the package, it's not needed for runtime (I think, hardly a XBMC expert).
I wouldn't really know what to say about the problem playing the "mpg" files, if it's a `configure` switch let me know and I can try to update the packages.

Re: xbmc 12.1.1 or 12.2 please [message #1360 is a reply to message #1357] Sun, 16 June 2013 10:33 Go to previous messageGo to next message
symbianflo is currently offline  symbianflo
Messages: 176
Registered: January 2012
Location: italy
Senior Member

BuildRequires: taglib-devel >= 1.8
(libid3tag is being phased out)


since 12.0 is needed, and we have :
[symbianflo@localhost ~]$ rpm -q -i taglib
Name        : taglib                       Relocations: (not relocatable)
Version     : 1.6.1                             Vendor: CentOS
Release     : 1.1.el6                       Build Date: ven 20 ago 2010 15:26:03 CEST


BTW epg is only a digital guide to the now-playng/upcoming programs in dvb-* TV
(* can be t as for terrestrial , s as for satelite, c as for cable ) so epg ain't got nothing to do with your cannels, can or can not be.. all dvb players
work perfect with/without epg, most of the dvb broadcasters didn't even bother to offer more then now-playng and next
program on theyr channels...
Re: xbmc 12.1.1 or 12.2 please [message #1362 is a reply to message #1356] Tue, 18 June 2013 01:56 Go to previous messageGo to next message
boblfoot is currently offline  boblfoot
Messages: 2
Registered: June 2013
Location: Southern Indiana, United ...
Junior Member
Did a little digging and turned on debug logging. It looks like ffmpeg is not interpreting the mythtv video stream. If I read the log correctly, it's not exactally my forte? Any ideas experts, I'd really like to use xbmc with my myth on centos.
  • Attachment: xbmc.log
    (Size: 310.32KB, Downloaded 164 times)
Re: xbmc 12.1.1 or 12.2 please [message #1363 is a reply to message #1362] Tue, 18 June 2013 12:04 Go to previous message
symbianflo is currently offline  symbianflo
Messages: 176
Registered: January 2012
Location: italy
Senior Member

boblfoot wrote on Tue, 18 June 2013 00:56
Did a little digging and turned on debug logging. It looks like ffmpeg is not interpreting the mythtv video stream. If I read the log correctly, it's not exactally my forte? Any ideas experts, I'd really like to use xbmc with my myth on centos.



ffmpeg[F29F7700]: [mpegts] Could not find codec parameters (Video: mpeg2video (4:2:2) ([2][0][0][0] / 0x0002))


here is your problem looks like your myth was build against ffmpeg-legacy ( 0.7.x....) try to rebuild it against Nux's ffmpeg, it might work.
Previous Topic: streamripper & tv-maxe packages
Next Topic: libmtp 1.1 ??
Goto Forum:
  


Current Time: Tue Jun 25 03:07:01 BST 2019

Total time taken to generate the page: 0.02507 seconds